BOTCH-BIN2SRC(1)

NAME
botch-bin2src - convert binary packages to their source packages

SYNOPSIS

botch-bin2src [options] Packages.. Sources

DESCRIPTION
Given a list of binary packages by Packages, output the corresponding source packages.

OPTIONS

--version
    show program's version and exit

-h, --help
    show this help message and exit

-v, --verbose
    print additional information

--quiet
    do no print any messages

--allowsrcmismatch
    If a binary package is without a source package but there is a source package of same name but different version, match this binary package to that source package.

-o, --outfile=FILE
    Set the output file FILE

--deb-native-arch=ARCH
    Native architecture ARCH

--deb-host-arch=arch
    Host architecture arch. Defaults to native architecture.

--deb-foreign-archs=archs
    Comma-separated foreign architectures in addition to native and host architectures.

EXAMPLE
Get the source packages corresponding to all binary packages in myPackages.gz:

 botch-bin2src --deb-native-arch=amd64 myPackages.gz mySources.gz

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.